N_JAHRE = 10
START_JAHR = 1958
renditen = c(0.1541, 0.2784, -0.0829, -0.2113, 0.1362, 0.0889,
             -0.1161, -0.2107, 0.5093, 0.1041, 0.1202, -0.2868, 
             0.0667, 0.1328, -0.2612, 0.0139, 0.4017, -0.0962, 
             0.0792, 0.0470, -0.1344, -0.0339, 0.0198, 0.1272, 
             0.4001, 0.0606, 0.6643, 0.0484, -0.3018, 0.3279, 
             0.3483, -0.2190, 0.1286, -0.0209, 0.4671, -0.0706, 
             0.0699, 0.2817, 0.4711, 0.1771, 0.3710, -0.0703, 
             -0.1985, -0.4445, 0.3942, 0.0749, 0.2803, 0.2150, 
             0.2105, -0.3995, 0.2478, 0.1519, -0.1469, 0.2980, 
             0.2477, 0.0265, 0.0956, 0.0687, 0.1251, -0.0350)
HIST_LEN = length(renditen) #Laende der Folge der historischen Daten
jahre = seq(1:HIST_LEN)+START_JAHR-1 #60 Jahre, Start 1959

bausteineMittelWerte = array(0.0, dim=(60-N_JAHRE))
for(j in 1:(60-N_JAHRE)) {
    bausteine = array(0.0, dim=N_JAHRE)
    for(k in 1:N_JAHRE)
        bausteine[k] = prod(1+renditen[(j+k-1):(j+N_JAHRE-1)])

   bs = paste(round(bausteine, 4), collapse=" ") 
   datum=paste(jahre[j], jahre[j+N_JAHRE], collapse=" ")
   print(paste(datum, bs, mean(bausteine), sep=" | "))
   
   bausteineMittelWerte[j] = mean(bausteine) 
}
verlustWkt = length(which(bausteineMittelWerte<1))/(60-N_JAHRE) 
print(paste0("Verlustwharscheinlichkeit des Sparplans: ", verlustWkt))